Summary:        Scaling, color space conversion, and dithering library
Name:           zimg
Version:        3.0.4
Release:        3%{?dist}
License:        WTFPL
URL:            https://github.com/sekrit-twc/zimg
Source0:        %{url}/archive/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc-c++ autoconf automake libtool

%description
The "z" library can be used for common image processing basics such as scaling, color space 
conversion, and depth conversion. A simple API allows conversion between any supported formats 
with minimal programmer knowledge. All library routines were designed from the ground-up with 
correctness, flexibility, and thread-safety as first priorities. Allocation, buffering, and I/O 
are cleanly separated from processing, allowing the programmer to adapt "z" to many scenarios.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1 -n zimg-release-%{version}

%build
autoreconf -vif
%configure --disable-static --enable-testapp
%make_build V=1

%install
%make_install
install -m 755 -p -D testapp %{buildroot}%{_bindir}/testapp

find %{buildroot} -name '*.la' -delete

rm -fr %{buildroot}%{_docdir}/%{name}

%files
%license COPYING
%doc README.md ChangeLog
%{_libdir}/lib%{name}.so.2.0.0
%{_libdir}/lib%{name}.so.2

%files devel
%{_bindir}/testapp
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 3.0.4-1
- initial build
